from django.urls import path
from statement.views import StatementCreateView

from . import views

urlpatterns = [
    path("list", views.AccountListView.as_view(), name="accounts"),
    path("new", views.AccountCreateView.as_view(), name="new_account"),
    path("<account>", views.AccountDetailView.as_view(), name="account"),
    path("<account>/edit", views.AccountUpdateView.as_view(), name="edit_account"),
    path(
        "<account>/transactions",
        views.AccountTListView.as_view(),
        name="account_transactions",
    ),
    path(
        "<account>/statements",
        views.AccountSListView.as_view(),
        name="account_statements",
    ),
    path(
        "<account>/statement",
        StatementCreateView.as_view(),
        name="new_statement",
    ),
    path(
        "<account>/delete",
        views.AccountDeleteView.as_view(),
        name="del_account",
    ),
]
